/**
 * BEGIN CMVC
 * *************************************************************************
 *
 *   Workfile: WBISRVR/ws/code/migration.wbi.ics.hapi/Access_EJB/DynamicRouting/com/ibm/sel/Default.java, wbi.migration.ics.hapi, WBI70.WBISRVR, of0950.12
 *   Last update: 07/11/13 20:35:11
 *   SCCS path, id: /family/botp/vc/10/7/2/8/s.67 1.6
 *
 * ************************************************************************
 * END CMVC
 * BEGIN COPYRIGHT
 * ************************************************************************
 * Licensed Materials - Property of IBM
 * 5724-L01, 5655-N53, 5724-I82, 5655-R15 
 * 
 * Copyright IBM Corporation 2006, 2007. All Rights Reserved.
 * US Government Users Restricted Rights- Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * DESCRIPTION:
 *
 * Change History:
 *
 * Reason          Date        User id     Description
 * ----------------------------------------------------------------------------
 *
 * ***********************************************************************
 * END COPYRIGHT
 **/

package com.ibm.sel;

import java.util.logging.Level;
import java.util.logging.Logger;

import com.ibm.websphere.sca.ServiceManager;

/**
 * 
 * <dt>
 * 
 * </dt>
 */
public class Default
{

	public static final String COPYRIGHT = "Copyright IBM Corporation 2007."; //$NON-NLS-1$
	public static final String CLASSNAME = Default.class.getName();
	private static Logger logger = Logger.getLogger(CLASSNAME);
	// Newline seperator
	public static final String NEWLINE = System.getProperty("line.separator"); //$NON-NLS-1$
	// Null Value
	public static final String NULL_VALUE = "null"; //$NON-NLS-1$

	/**
	 * Default constructor.
	 */
	public Default()
	{
		super();
	}

	/**
	 * Return a reference to the component service instance for this implementation
	 * class.  This method should be used when passing this service to a partner reference
	 * or if you want to invoke this component service asynchronously.    
	 *
	 * @generated (com.ibm.wbit.java)
	 */
	private Object getMyService()
	{
		return (Object)ServiceManager.INSTANCE.locateService("self");
	}

	/**
	 * Method generated to support implemention of operation "Route" defined for WSDL port type 
	 * named "interface.RoutingPacket".
	 * 
	 * Please refer to the WSDL Definition for more information 
	 * on the type of input, output and fault(s).
	 *
	 * @param consumer
	 * @param busObj
	 * @param mimeType
	 * @param verb
	 * @return
	 */
	public String Route(String consumer, String busObj, String mimeType, String verb)
	{
		String METHODNAME = "Route";

		if (logger.isLoggable(Level.FINER))
		{
			logger.entering(CLASSNAME, METHODNAME, new Object[]{consumer, mimeType, verb});
		}
		logger.logp(Level.FINER, CLASSNAME, METHODNAME, "Call the Datahandler for mimetype="+mimeType);

		StringBuffer result = new StringBuffer("Invalid Argument \"consumer\"").append(NEWLINE);
		result.append("Route Method was called from CwSessionBean.executeCollaborationExtended with the following parameters").append(NEWLINE);
		result.append("String ").append(consumer != null ? consumer : NULL_VALUE).append(NEWLINE);
		result.append("String ").append(busObj != null ? busObj : NULL_VALUE).append(NEWLINE);
		result.append("String ").append(mimeType != null ? mimeType : NULL_VALUE).append(NEWLINE);
		result.append("String ").append(verb != null ? verb : NULL_VALUE).append(NEWLINE);
		result.append("Please Edit the Routing Selector or call the AccessEJB with a valid \"consumer\", that is a valid Destination Port");

		if (logger.isLoggable(Level.FINER))
		{
			logger.exiting(CLASSNAME, METHODNAME, result.toString());
		}
		throw new IllegalArgumentException(result.toString());
	}

}