--BEGIN CMVC
--*************************************************************************
--
--  Workfile: WBISRVR/ws/code/scheduler.wbi/src/dbscripts/CommonDB/Informix/createTable_AppScheduler.sql, wbi.scheduler, WBI70.WBISRVR, of0950.12
--  Last update: 07/03/16 03:24:33
--  SCCS path, id: /family/botp/vc/10/9/8/9/s.73 1.2
--
--*************************************************************************
--END CMVC
--BEGIN COPYRIGHT
--*************************************************************************
--
--  Licensed Materials - Property of IBM
--  5724-L01, 5655-N53, 5724-I82, 5655-R15
--  (C) Copyright IBM Corporation 2004, 2006, 2007.
--  All rights reserved. US Government Users Restricted Rights - Use,
--  duplication, or disclosure restricted by GSA ADP Schedule Contract with
--  IBM Corp.
--
--*************************************************************************
--END COPYRIGHT
--
-- create the schema
-- 1. Process this script in the Informix dbaccess command processor
-- Example:
--             dbaccess WPRCSDB createTable_AppScheduler.sql

CREATE TABLE WSCH_TASK
(
  TASKID             DECIMAL(19, 0)        NOT NULL PRIMARY KEY ,
  VERSION            VARCHAR(5)            NOT NULL ,
  ROW_VERSION        INTEGER               NOT NULL ,
  TASKTYPE           INTEGER               NOT NULL ,
  TASKSUSPENDED      SMALLINT              NOT NULL ,
  CANCELLED          SMALLINT              NOT NULL ,
  NEXTFIRETIME       DECIMAL(19, 0)        NOT NULL ,
  STARTBYINTERVAL    VARCHAR(254)                   ,
  STARTBYTIME        DECIMAL(19, 0)                 ,
  VALIDFROMTIME      DECIMAL(19, 0)                 ,
  VALIDTOTIME        DECIMAL(19, 0)                 ,
  REPEATINTERVAL     VARCHAR(254)                   ,
  MAXREPEATS         INTEGER               NOT NULL ,
  REPEATSLEFT        INTEGER               NOT NULL ,
  TASKINFO           BYTE                           ,
  NAME               VARCHAR(254)          NOT NULL ,
  AUTOPURGE          INTEGER               NOT NULL ,
  FAILUREACTION      INTEGER                        ,
  MAXATTEMPTS        INTEGER                        ,
  QOS                INTEGER                        ,
  PARTITIONID        INTEGER                        ,
  OWNERTOKEN         VARCHAR(200)          NOT NULL ,
  CREATETIME         DECIMAL(19, 0)        NOT NULL
) LOCK MODE ROW;

CREATE INDEX WSCH_TASK_IDX1 ON WSCH_TASK
(
  TASKID, OWNERTOKEN
) ;

CREATE CLUSTER INDEX WSCH_TASK_IDX2 ON WSCH_TASK
(
  NEXTFIRETIME ASC ,
  REPEATSLEFT ,
  PARTITIONID
) ;

CREATE TABLE WSCH_TREG
(
  REGKEY             VARCHAR(254)          NOT NULL PRIMARY KEY ,
  REGVALUE           VARCHAR(254)
) LOCK MODE ROW;

CREATE TABLE WSCH_LMGR
(
  LEASENAME          VARCHAR(254)          NOT NULL PRIMARY KEY ,
  LEASEOWNER         VARCHAR(254)          NOT NULL ,
  LEASE_EXPIRE_TIME  NUMERIC(19, 0)                 ,
  DISABLED           VARCHAR(5)
) LOCK MODE ROW;

CREATE TABLE WSCH_LMPR
(
  LEASENAME          VARCHAR(254)          NOT NULL ,
  NAME               VARCHAR(254)          NOT NULL ,
  VALUE              VARCHAR(254)          NOT NULL
) LOCK MODE ROW;

CREATE INDEX WSCH_LMPR_IDX1 ON WSCH_LMPR
(
  LEASENAME
) ;
